package com.staffing.common.utils;

import java.util.concurrent.atomic.AtomicInteger;

public class OrderUtils {
    private static AtomicInteger nextId = new AtomicInteger(0);
    private static int serverId = 1;
    public static String genOrderId(String type){
        String id = type + System.currentTimeMillis() + serverId + nextId.addAndGet(1);
        return id;
    }


}
